[Overview][Constants][Classes][Index] | Reference for unit 'inicol' (#fcl)

# TIniCollection.LoadFromIni

Load collection from a file in .ini file format.

## Declaration

Source position: inicol.pp line 37

`public procedure TIniCollection.LoadFromIni(`
`Ini: TCustomIniFile;`
`Section: string`
`); virtual;`

## Arguments

`Ini` |  | Ini object to load data from.
`Section` |  | Name of the global section.

## Description

LoadFromIni will load the collection from the Ini instance. It first clears the collection, and reads the number of items from the global section with the name as passed through the Section argument. After this, an item is created and added to the collection, and its data is read by calling the TIniCollectionItem.LoadFromIni method, passing the appropriate section name as found in the global section.

The description of the global section can be found in the TIniCollection.SaveToIni method description.

## See also

TIniCollection.LoadFromFile |  | Load collection from file.
TIniCollectionItem.LoadFromIni |  | Method called when the item must be loaded
TIniCollection.SaveToIni |  | Save the collection to a TCustomIniFile descendent

Documentation generated on: Feb 26 2014